Loading...
Searching...
No Matches
SchreyerSyzygyComputationFlags Struct Reference

Computation attribute storage. More...

`#include <syzextra.h>`

## Public Member Functions

| SchreyerSyzygyComputationFlags (idhdl rootRingHdl)
| SchreyerSyzygyComputationFlags (const SchreyerSyzygyComputationFlags &attr)
void | nextSyzygyLayer () const

## Data Fields

const int | OPT__DEBUG
| output all the intermediate states
const int | OPT__LEAD2SYZ
| ?
const int | OPT__TAILREDSYZ
| Reduce syzygy tails wrt the leading syzygy terms.
const int | OPT__HYBRIDNF
| Use the usual NF's S-poly reduction while dropping lower order terms 2 means - smart selection!
const int | OPT__IGNORETAILS
| ignore tails and compute the pure Schreyer frame
int | OPT__SYZNUMBER
| Syzygy level (within a resolution).
const int | OPT__TREEOUTPUT
| output lifting tree
const int | OPT__SYZCHECK
| CheckSyzygyProperty: TODO.
const bool | OPT__PROT
| TEST_OPT_PROT.
const int | OPT__NOCACHING
| no caching/stores/lookups
const ring | m_rBaseRing
| global base ring

## Detailed Description

Computation attribute storage.

Definition at line 143 of file syzextra.h.

## Constructor & Destructor Documentation

## SchreyerSyzygyComputationFlags() [1/2]

SchreyerSyzygyComputationFlags::SchreyerSyzygyComputationFlags | ( | idhdl | rootRingHdl | ) |

## SchreyerSyzygyComputationFlags() [2/2]

SchreyerSyzygyComputationFlags::SchreyerSyzygyComputationFlags | ( | const SchreyerSyzygyComputationFlags & | attr | ) |

inline

Definition at line 147 of file syzextra.h.

:
OPT__DEBUG(attr.OPT__DEBUG),
OPT__LEAD2SYZ(attr.OPT__LEAD2SYZ), OPT__TAILREDSYZ(attr.OPT__TAILREDSYZ),
OPT__HYBRIDNF(attr.OPT__HYBRIDNF), OPT__IGNORETAILS(attr.OPT__IGNORETAILS),
OPT__SYZNUMBER(attr.OPT__SYZNUMBER), OPT__TREEOUTPUT(attr.OPT__TREEOUTPUT),
OPT__SYZCHECK(attr.OPT__SYZCHECK), OPT__PROT(attr.OPT__PROT),
OPT__NOCACHING(attr.OPT__NOCACHING),
m_rBaseRing(attr.m_rBaseRing)
{}
attr
sattr * attr
Definition attrib.h:16
SchreyerSyzygyComputationFlags::OPT__HYBRIDNF
const int OPT__HYBRIDNF
Use the usual NF's S-poly reduction while dropping lower order terms 2 means - smart selection!
Definition syzextra.h:168
SchreyerSyzygyComputationFlags::m_rBaseRing
const ring m_rBaseRing
global base ring
Definition syzextra.h:195
SchreyerSyzygyComputationFlags::OPT__TREEOUTPUT
const int OPT__TREEOUTPUT
output lifting tree
Definition syzextra.h:183
SchreyerSyzygyComputationFlags::OPT__LEAD2SYZ
const int OPT__LEAD2SYZ
?
Definition syzextra.h:161
SchreyerSyzygyComputationFlags::OPT__SYZCHECK
const int OPT__SYZCHECK
CheckSyzygyProperty: TODO.
Definition syzextra.h:186
SchreyerSyzygyComputationFlags::OPT__NOCACHING
const int OPT__NOCACHING
no caching/stores/lookups
Definition syzextra.h:192
SchreyerSyzygyComputationFlags::OPT__SYZNUMBER
int OPT__SYZNUMBER
Syzygy level (within a resolution).
Definition syzextra.h:175
SchreyerSyzygyComputationFlags::OPT__PROT
const bool OPT__PROT
TEST_OPT_PROT.
Definition syzextra.h:189
SchreyerSyzygyComputationFlags::OPT__DEBUG
const int OPT__DEBUG
output all the intermediate states
Definition syzextra.h:158
SchreyerSyzygyComputationFlags::OPT__TAILREDSYZ
const int OPT__TAILREDSYZ
Reduce syzygy tails wrt the leading syzygy terms.
Definition syzextra.h:164
SchreyerSyzygyComputationFlags::OPT__IGNORETAILS
const int OPT__IGNORETAILS
ignore tails and compute the pure Schreyer frame
Definition syzextra.h:172

## Member Function Documentation

## nextSyzygyLayer()

void SchreyerSyzygyComputationFlags::nextSyzygyLayer | ( |  | ) | const

inline

Definition at line 177 of file syzextra.h.

{
OPT__SYZNUMBER++;
}

## Field Documentation

## m_rBaseRing

const ring SchreyerSyzygyComputationFlags::m_rBaseRing

global base ring

Definition at line 195 of file syzextra.h.

## OPT__DEBUG

const int SchreyerSyzygyComputationFlags::OPT__DEBUG

output all the intermediate states

Definition at line 158 of file syzextra.h.

## OPT__HYBRIDNF

const int SchreyerSyzygyComputationFlags::OPT__HYBRIDNF

Use the usual NF's S-poly reduction while dropping lower order terms 2 means - smart selection!

Definition at line 168 of file syzextra.h.

## OPT__IGNORETAILS

const int SchreyerSyzygyComputationFlags::OPT__IGNORETAILS

ignore tails and compute the pure Schreyer frame

Definition at line 172 of file syzextra.h.

## OPT__LEAD2SYZ

const int SchreyerSyzygyComputationFlags::OPT__LEAD2SYZ

?

Definition at line 161 of file syzextra.h.

## OPT__NOCACHING

const int SchreyerSyzygyComputationFlags::OPT__NOCACHING

no caching/stores/lookups

Definition at line 192 of file syzextra.h.

## OPT__PROT

const bool SchreyerSyzygyComputationFlags::OPT__PROT

TEST_OPT_PROT.

Definition at line 189 of file syzextra.h.

## OPT__SYZCHECK

const int SchreyerSyzygyComputationFlags::OPT__SYZCHECK

CheckSyzygyProperty: TODO.

Definition at line 186 of file syzextra.h.

## OPT__SYZNUMBER

int SchreyerSyzygyComputationFlags::OPT__SYZNUMBER

mutable

Syzygy level (within a resolution).

Definition at line 175 of file syzextra.h.

## OPT__TAILREDSYZ

const int SchreyerSyzygyComputationFlags::OPT__TAILREDSYZ

Reduce syzygy tails wrt the leading syzygy terms.

Definition at line 164 of file syzextra.h.

## OPT__TREEOUTPUT

const int SchreyerSyzygyComputationFlags::OPT__TREEOUTPUT

output lifting tree

Definition at line 183 of file syzextra.h.

The documentation for this struct was generated from the following file:

- Singular/dyn_modules/syzextra/syzextra.h